%define	version 0.6.0
%define rel	4
%define	release	%mkrel %rel
%define Summary An application for creating stopmotion animations

Name:		stopmotion
Summary:	%{Summary}
Version:	%{version} 
Release:	%{release} 
Source0:	http://developer.skolelinux.no/info/studentgrupper/2005-hig-stopmotion/project_management/webpage/releases/%{name}-%{version}.tar.bz2
URL:		http://stopmotion.bjoernen.com/
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	SDL_image-devel 
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel 
BuildRequires:  libtar-devel 
BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist 
BuildRequires:  ImageMagick
BuildRequires:  gamin-devel

%description
Stopmotion is a free application for creating stop-motion animation movies.
The users will be able to create stop-motions from pictures imported from
a camera or from the harddrive, add sound effects and export the animation
to different video formats such as mpeg or avi.

%prep
%setup -q

%build
# Wrong permissions
chmod -R a+r *
for a in `find ./manual/`; do if [ ! -d $a ]; then chmod 644 $a;else chmod 755 $a;fi;done
PATH=/usr/lib/qt4/bin:$PATH %configure	--with-html-dir=%{_datadir}/doc/%{name}-%{version}/manual
perl -pi -e "s#-pipe -O2#%{optflags}#g" Makefile
PATH=/usr/lib/qt4/bin:$PATH %make
# Generate icons. The 48x48 one might be a bit ugly, but it'll have to do
convert graphics/stopmotion.png -resize 16x16 graphics/stopmotion-16.png
convert graphics/stopmotion.png -resize 48x48 graphics/stopmotion-48.png

%install
rm -rf %{buildroot}

install -m755 stopmotion -D %{buildroot}%{_bindir}/%{name}
install -m644 stopmotion.desktop -D %{buildroot}%{_datadir}/applications/%{name}

install -m644 graphics/stopmotion.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 graphics/stopmotion-16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 graphics/stopmotion-48.png -D %{buildroot}%{_liconsdir}/%{name}.png
install -m644 graphics/stopmotion.png -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 graphics/stopmotion-16.png -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{name}"\
 icon="%{name}.png" needs="X11" section="Multimedia/Video"\
  title="Stopmotion" longtitle="%{Summary}" xdg="true"
EOF

desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--add-category="Qt" \
			--add-category="Video" \
			--add-category="AudioVideoEditing" \
			--add-category="X-MandrivaLinux-Multimedia-Video" \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# Localization.
# Uses a weird localization system, got to hardcode it *sigh* :)
/usr/lib/qt4/bin/lrelease stopmotion.pro
mkdir -p %{buildroot}%{_datadir}/%{name}/translations/
install -m644 ./translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $%{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS manual/
%{_bindir}/*
%{_datadir}/applications/%{name}
%{_datadir}/%{name}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png


%changelog
* Fri May 04 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-4mdv2007.0
+ Revision: 22562
- bump release
- doh, set PATH for configure too
- ok, let's do it this way
- bump release
- don't buildconflicts qt3-devel as SDL_image-devel implies it, just fix PATH instead
- correct fix for qmake (give path to qt4 version, don't require qt3 version)

* Wed Apr 25 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-2mdv2008.0
+ Revision: 18380
- bump release for buildsystem weirdness
- lrelease is in /usr/lib not lib64 on x86-64
- buildrequires libqt3-devel (for /usr/bin/qmake)
- generate and install fd.o-compliant icons
- 0.6.0


* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com>
+ 2006-08-25 15:59:24 (58098)
- fix summary macro use in menu
- compile with %%{optflags}
- cosmetics

* Thu Aug 03 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-03 15:12:10 (43273)
- import stopmotion-0.5.3-1mdv2007.0

* Thu Jun 29 2006 Guillaume Bedot <littletux@mandriva.org> > 0.5.3-1mdv2007.0
- 0.5.3
- xdg menu

* Sat May 06 2006 Guillaume Bedot <littletux@mandriva.org> 0.5.1-1mdk
- New release 0.5.1
- Complete source0 URL

* Thu Apr 20 2006 Guillaume Bedot <littletux@mandriva.org> 0.5.0-3mdk
- Fix paths to translations and docs
- Use of qt4-linguist instead of qt3

* Wed Apr 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-2mdk
- Fix BuildRequires

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 0.5.0-1mdk
- 0.5.0

* Mon Mar 06 2006 Lenny Cartier <lenny@mandriva.com> 0.4.1-1mdk
- 0.4.1

* Sat Feb 11 2006 Eskild Hustvedt <eskild@mandriva.org 0.4.0-1mdk
- New version 0.4.0

* Sun Jan 22 2006 Eskild Hustvedt <eskild@mandriva.org> 0.3.4-1mdk
- 0.3.4
- Drop patch0 (now uses some perl magic in the spec instead)

* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 0.3.3-1mdk
- 0.3.3

* Thu Dec 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-4mdk
- Fix  buildRequires

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-3mdk
- Fix BuildRequires

* Sun Aug 07 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3.1-2mdk
- Bah, forgot to rediff p0 even though it says MUST BE REDIFFED ON A NEW RELEASE! in the spec

* Sun Aug 07 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3.1-1mdk
- New version 0.3.1

* Sun May 22 2005 Eskild Hustvedt <eskild@mandriva.org> 0.3.0-2mdk
- Shut rpmlint up

* Sat May 21 2005 Eskild Hustvedt <eskild@mandrake.org> 0.3.0-1mdk
- Initial Mandriva Linux package

